## keystone 2012.1+stable~20120824-a16a0ab9

=== debian/changelog ===
keystone (2012.1+stable~20120824-a16a0ab9-0ubuntu2.4) precise-security; urgency=low

  * SECURITY UPDATE: fix token creation error handling 
    - debian/patches/CVE-2013-0247.patch: validate size of user_id, username,
      password, tenant_name, tenant_id and token size to help guard against a
      denial of service via large log files filling the disk
    - CVE-2013-0247

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 31 Jan 2013 12:22:43 -0600

keystone (2012.1+stable~20120824-a16a0ab9-0ubuntu2.3) precise-security; urgency=low

  * SECURITY UPDATE: fix for EC2-style credentials invalidation
    - debian/patches/CVE-2012-5571.patch: adjust contrib/ec2/core.py to verify
      that the user is in at least one valid role for the tenant
    - CVE-2012-5571
    - LP: #1064914

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 26 Nov 2012 14:07:34 -0600

keystone (2012.1+stable~20120824-a16a0ab9-0ubuntu2.2) precise-security; urgency=low

  * SECURITY UPDATE: Pre-existing tokens continue to be valid after
    granting or revoking a user's access (LP: #1041396)
    - debian/patches/keystone-CVE-2012-4413.patch: invalidate all user
      tokens upon role grant/revoke
    - CVE-2012-4413

 -- Steve Beattie <sbeattie@ubuntu.com>  Wed, 12 Sep 2012 09:47:55 -0700

keystone (2012.1+stable~20120824-a16a0ab9-0ubuntu2.1) precise-security; urgency=low

  * SECURITY UPDATE: tenants are able to be added to users without
    authorization (LP: #1040626)
    - debian/patches/keystone-CVE-2012-3542: require authz to update a
      user's tenant.
    - CVE-2012-3542

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 30 Aug 2012 15:10:26 -0700

keystone (2012.1+stable~20120824-a16a0ab9-0ubuntu2) precise-proposed; urgency=low

  * New upstream release (LP: #1041120):
    - debian/patches/0013-Flush-tenant-membership-deletion-before-user.patch:
      Dropped.
  * Resynchronize with stable/essex:
    - authenticate in ldap backend doesn't return a list of roles
      (LP: #1035428)
    - LDAP should not check username on "sn" field (LP: #997700)
    - Admin API doesn't valid token. (LP: #1006815, #1006822)
    - Memcache token backend eventually stops working. (LP: #1012381)
    - EC2 credentials not migrated from legacy (diablo) database. (LP: #1016056)
    - Deleting tenants or users does not cleanup metadata. (LP: #973243)
    - Deleting tenants does not cleanup its user associations. (LP: #974199)
    - TokenNotFound not raised in testsuite beacuse of timezone issues. (LP: #983800)
    - Token authentication for a user in a disabled tenant does not raise
      Unauthorized error. (LP: #988920)
    - export_legacy_catalog doesn't convert url names correctly. (LP: #994936)
    - Following a password compromise and subsequent password change,
      tokens remain valid. (LP: #996595)
    - Tokens remain valid after a user account is disabled. (LP: #997194)

 -- Adam Gandelman <adamg@canonical.com>  Fri, 24 Aug 2012 03:34:59 -0400

keystone (2012.1+stable~20120608-aff45d6-0ubuntu1) precise-proposed; urgency=low

  * New usptream snapshot. (LP: #1010473)
  * Resynchronize with stable/essex:
    - aff45d6 - Make import_nova_auth only create roles which don't already exist
      (LP: #959294)
  * debian/patches/0013-Flush-tenant-membership-deletion-before-user.patch: Backported
    fix for "Flush tenant membership deletion before user." (LP: #998137)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 05 Jun 2012 11:24:02 -0400
