## keystone 2012.1.1

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 7.0.50),
 python-all (>= 2.6.6-3~),
 python-all-dev (>= 2.6.6-3~) | python-support,
 python-lxml,
 python-setuptools,
 python-sphinx,
 python-unittest2,
 python-paste,
 python-pastedeploy,
 python-routes,
 python-eventlet,
 python-webob,
 python-sqlalchemy,
 python-passlib,
 python-ldap,
 python-memcache,
 python-swift,
 python-nose,
 python-migrate,
 python-prettytable,
 python-mox,
 python-dateutil,
 pep8,
 git-core,
 po-debconf
Standards-Version: 3.9.3
Homepage: http://launchpad.net/keystone
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/keystone.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/keystone.git

Package: python-keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-passlib,
 python-sqlalchemy,
 python-routes,
 python-lxml,
 python-httplib2,
 python-eventlet,
 python-paste,
 python-pastedeploy,
 python-pastescript,
 python-webob,
 python-sqlite,
 python-nova,
 python-dateutil
Recommends: python-memcache, python-ldap
Description: OpenStack identity service - library
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-keystone (= ${source:Version}),
 adduser,
 lsb-base (>= 3.0-6),
 dbconfig-common,
 python-keystoneclient
Description: OpenStack identity service
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},  libjs-jquery, libjs-underscore
Description: OpenStack identity service - documentation
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the documentation.
