## keystone 2012.2~f1

=== debian/changelog ===
keystone (2012.2~f1-0ubuntu1~cloud0) precise-folsom; urgency=low

  * New upstream release.
  * Prepare for quantal:
    - debian/patches/fix-ubuntu-tests.patch: Refreshed.
    - debian/patches/sql_connection.patch: Refreshed.
  * debian/keystone.install: Install the right configuration files.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Jul 2012 14:23:33 -0400
