## keystone 2012.2~f2

=== debian/changelog ===
keystone (2012.2~f2-0ubuntu1~cloud0) precise-folsom; urgency=low

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 10:37:01 -0400
