=== debian/changelog ===
keystone (2012.2.4-0ubuntu3.3~cloud0) precise-folsom; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Adam Gandelman <adamg@ubuntu.com>  Mon, 25 Nov 2013 13:24:00 -0800

keystone (2012.2.4-0ubuntu3.3) quantal-security; urgency=low

  * SECURITY UPDATE: don't add role when attempting to remove a non-existent
    role
    - debian/patches/CVE-2013-4477.patch: raise RoleNotFound with exception
      ldap.NO_SUCH_OBJECT
    - CVE-2013-4477
    - LP: #1242855

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 05 Nov 2013 09:43:11 -0600

keystone (2012.2.4-0ubuntu3.2) quantal-security; urgency=low

  * SECURITY UPDATE: revoke user tokens when disabling/delete a project
    - debian/patches/CVE-2013-4222.patch: add _delete_tokens_for_project() to
      common/controller.py and use it in identity/controllers.py
      (LP: #1179955)
    - CVE-2013-4222
  * SECURITY UPDATE: fix and test token revocation list API
    - debian/patches/CVE-2013-4294.patch: fix token matching for memcache
      backend token revocation (LP: #1202952)
    - CVE-2013-4294

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 22 Oct 2013 10:09:33 -0500

keystone (2012.2.4-0ubuntu3.1) quantal-security; urgency=low

  * SECURITY UPDATE: fix auth_token middleware neglects to check expiry of
    signed token when using PKI
    - debian/patches/CVE-2013-2104.patch: explicitly check the expiry on the
      tokens, and reject tokens that have expired. Also update test data
    - CVE-2013-2104
    - LP: #1179615
  * debian/patches/fix-testsuite-for-2038-problem.patch: Adjust json example
    cert data to use 2037 instead of 2112 and regenerate the certs. Also
    adjust token expiry data to use 2037 instead of 2999.
  * SECURITY UPDATE: fix authentication bypass when using LDAP backend
    - debian/patches/CVE-2013-2157.patch: identity/backends/ldap/core.py is
      adjusted to raise an assertion for invalid password when using LDAP and
      an empty password is submitted
    - CVE-2013-2157
    - LP: #1187305

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 13 Jun 2013 13:42:44 -0500

keystone (2012.2.4-0ubuntu3) quantal-proposed; urgency=low

  * debian/patches/update_certs.patch: Fix FTBFS.  Original SSL certs
    for test suite expired May 18 2013. Cherry-picked regenerated certs
    from stable/folsom commit c14f2789.

 -- James Page <james.page@ubuntu.com>  Wed, 29 May 2013 20:59:34 +0100

keystone (2012.2.4-0ubuntu2) quantal-proposed; urgency=low

  * Rebase on latest security fixes.
  * SECURITY UPDATE: delete user token immediately upon delete when using v2
    API
    - CVE-2013-2059.patch: adjust keystone/identity/core.py to call
      token_api.delete_token() during delete. Also update test suite.
    - CVE-2013-2059
    - LP: #1166670

 -- James Page <james.page@ubuntu.com>  Fri, 17 May 2013 11:26:24 +0100

keystone (2012.2.4-0ubuntu1) quantal-proposed; urgency=low

  * Dropped patches, applied upstream:
    - debian/patches/CVE-2013-1865.patch: [255b1d4]
    - debian/patches/CVE-2013-0282.patch: [f0b4d30]
    - debian/patches/CVE-2013-1664+1665.patch: [8a22745]
  * Resynchronize with stable/folsom (09f28020) (LP: #1179707):
    - [5ea4fcf] V2 API reported at Beta LP: 1135230
    - [1889299] PKI-signed token hash saved as token ID for SQL backend only
      LP: 1073272
    - [40660f0] Key PKI tokens on hash in memcached for auth_token middleware
      LP: 1073343
    - [b3ce6a7] Use the right subprocess based on os monkeypatch
    - [bb1ded0] keystone-all --config-dir is being ignored LP: 1101129
    - [9e0a97d] Temporary network outage results in connection refused and
      invalid token LP: 1150299
    - [255b1d4] Validation of PKI tokens bypasses revocation check LP: 1129713
    - [8690166] PKI tokens are broken after 24 hours LP: 1074172
    - [790c87e] PKI tokens are broken after 24 hours LP: 1074172
    - [f0b4d30] EC2 authentication does not ensure user or tenant is enabled
      LP: 1121494
    - [8a22745] DoS through XML entity expansion (CVE-2013-1664) LP: 1100282

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 25 Apr 2013 17:51:09 -0400

keystone (2012.2.3+stable-20130206-82c87e56-0ubuntu2.1) quantal-security; urgency=low

  * SECURITY UPDATE: delete user token immediately upon delete when using v2
    API
    - CVE-2013-2059.patch: adjust keystone/identity/core.py to call
      token_api.delete_token() during delete. Also update test suite.
    - CVE-2013-2059
    - LP: #1166670

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 07 May 2013 14:05:48 -0500

keystone (2012.2.3+stable-20130206-82c87e56-0ubuntu2) quantal-proposed; urgency=low

  * Resync with latest security updates.
  * SECURITY UPDATE: fix PKI revocation bypass
    - debian/patches/CVE-2013-1865.patch: validate tokens from the backend
    - CVE-2013-1865
  * SECURITY UPDATE: fix EC2-style authentication for disabled users
    - debian/patches/CVE-2013-0282.patch: adjust keystone/contrib/ec2/core.py
      to ensure user and tenant are enabled in EC2
    - CVE-2013-0282
  * SECURITY UPDATE: fix denial of service
    - debian/patches/CVE-2013-1664+1665.patch: disable XML entity parsing
    - CVE-2013-1664
    - CVE-2013-1665

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2013 12:02:56 +0000

keystone (2012.2.1-0ubuntu1.3) quantal-security; urgency=low

  * SECURITY UPDATE: fix PKI revocation bypass
    - debian/patches/CVE-2013-1865.patch: validate tokens from the backend
    - CVE-2013-1865
    - LP: #1129713

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 20 Mar 2013 08:45:09 -0500
