=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python-all (>= 2.6),
  python-all-dev (>= 2.6.6-3~) | python-support,
  python-eventlet,
- python-keystoneclient,
+ python-keystoneclient ( >= 1:0.1.3 ),
  python-ldap,
  python-lxml,
  python-memcache,
@@ -53,7 +53,7 @@
  python-sqlalchemy,
  python-migrate,
  python-prettytable,
- python-keystoneclient,
+ python-keystoneclient ( >= 1:0.1.3 ),
  python-webob,
  python-iso8601
 Suggests: python-memcache
