## keystone 2013.1~g2

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Uploaders: Soren Hansen <soren@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50),
  pep8,
+ po-debconf,
  pylint,
  python-all (>= 2.6),
  python-all-dev (>= 2.6.6-3~) | python-support,
  python-eventlet,
- python-keystoneclient ( >= 1:0.1.3 ),
+ python-keystoneclient ( >= 1:0.2 ),
  python-ldap,
  python-lxml,
  python-memcache,
  python-migrate,
- python-mox, 
+ python-mox,
  python-nose,
- python-nova,
  python-pam,
  python-passlib,
  python-paste,
@@ -34,7 +34,7 @@
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/keystone
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/essex
+Vcs-Bzr: https://code.launchpad.net/~openstack-ubuntu-testing/keystone/grizzly
 
 Package: python-keystone
 Architecture: all
@@ -53,7 +53,7 @@
  python-sqlalchemy,
  python-migrate,
  python-prettytable,
- python-keystoneclient ( >= 1:0.1.3 ),
+ python-keystoneclient ( >= 1:0.2 ),
  python-webob,
  python-iso8601
 Suggests: python-memcache
@@ -77,8 +77,7 @@
 Depends: ${python:Depends}, ${misc:Depends},
  python-keystone (= ${source:Version}),
  adduser,
- ssl-cert (>= 1.0.12),
- dbconfig-common
+ ssl-cert (>= 1.0.12)
 Description: OpenStack identity service - Daemons
  Keystone is a proposed independent authentication service for OpenStack.
  .
