## keystone 2013.1

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,21 @@
 XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
 Uploaders: Soren Hansen <soren@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50),
- pep8,
  po-debconf,
- pylint,
  python-all (>= 2.6),
- python-all-dev (>= 2.6.6-3~) | python-support,
  python-eventlet,
- python-keystoneclient ( >= 1:0.2 ),
+ python-keystoneclient ( >= 1:0.2.3 ),
  python-ldap,
  python-lxml,
  python-memcache,
  python-migrate,
  python-mox,
  python-nose,
+ python-oslo.config,
  python-pam,
  python-passlib,
  python-paste,
  python-pastedeploy,
- python-prettytable,
  python-routes,
  python-sphinx,
  python-sqlalchemy,
@@ -44,16 +41,15 @@
  python-greenlet,
  python-lxml,
  python-migrate,
+ python-oslo.config,
  python-pam,
  python-passlib,
  python-paste,
  python-pastedeploy,
- python-prettytable,
  python-routes,
  python-sqlalchemy,
  python-migrate,
- python-prettytable,
- python-keystoneclient ( >= 1:0.2 ),
+ python-keystoneclient ( >= 1:0.2.3 ),
  python-webob,
  python-iso8601
 Suggests: python-memcache
