## keystone 2013.1.5

=== debian/changelog ===
keystone (1:2013.1.5-0ubuntu1~cloud0) precise-grizzly; urgency=low

  * Resynchronize with stable/grizzly (a411c94) (LP: #1295674):
    - [a411c94] Ensure tokens are added to both Trustor and Trustee indexes
    - [8fcc18c] Fix v2 token user ref with trust impersonation=True
    - [82dcde0] Fix remove role assignment adds role using LDAP assignment

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 21 Mar 2014 14:17:05 -0400
