=== debian/control ===
--- 
+++ 
@@ -31,7 +31,8 @@
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/keystone
-Vcs-Bzr: https://code.launchpad.net/~openstack-ubuntu-testing/keystone/grizzly
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/keystone/grizzly/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/grizzly
 
 Package: python-keystone
 Architecture: all
