=== debian/rules ===
--- 
+++ 
@@ -12,23 +12,12 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	# create a dummy db for testing
-	rm -rf $(CURDIR)/debian/tests/testing.db
-	migrate version_control sqlite:////$(CURDIR)/debian/tests/testing.db \
-		$(CURDIR)/keystone/common/sql/migrate_repo
-	# run migrations
-	PYTHONPATH=$(CURDIR)  migrate upgrade \
-		sqlite:////$(CURDIR)/debian/tests/testing.db \
-		$(CURDIR)/keystone/common/sql/migrate_repo 
-
-	# tests/test_overrides.conf can be used to setup the environment
-	# for unit testing.
 	cp tests/test_overrides.conf tests/test_overrides.conf.orig
 	cp $(CURDIR)/debian/tests/test_overrides.conf $(CURDIR)/tests/test_overrides.conf
-	sed -i 's|%CUR_DIR%|$(CURDIR)|g' $(CURDIR)/tests/test_overrides.conf
+	# run unit tests
 	PYTHONPATH=$(CURDIR) bash run_tests.sh -N
 	mv $(CURDIR)/tests/test_overrides.conf.orig $(CURDIR)/tests/test_overrides.conf
-	rm -rf $(CURDIR)/debian/tests/testing.db $(CURDIR)/debian/tests/keystone-signing
+	rm -rf $(CURDIR)/debian/tests/keystone-signing
 endif
 
 override_dh_auto_build:
