## keystone 2013.1.g3

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,25 @@
 XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
 Uploaders: Soren Hansen <soren@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50),
+ pep8,
  po-debconf,
+ pylint,
  python-all (>= 2.6),
+ python-all-dev (>= 2.6.6-3~) | python-support,
  python-eventlet,
- python-keystoneclient ( >= 1:0.2.3 ),
+ python-keystoneclient ( >= 1:0.2 ),
  python-ldap,
  python-lxml,
  python-memcache,
  python-migrate,
  python-mox,
  python-nose,
- python-oslo.config,
+ python-oslo-config,
  python-pam,
  python-passlib,
  python-paste,
  python-pastedeploy,
+ python-prettytable,
  python-routes,
  python-sphinx,
  python-sqlalchemy,
@@ -27,12 +31,12 @@
  python-unittest2,
  python-webob,
  python-webtest,
- python-iso8601
+ python-iso8601,
+ python-novaclient
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/keystone
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/keystone/grizzly/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/grizzly
+Vcs-Bzr: https://code.launchpad.net/~openstack-ubuntu-testing/keystone/grizzly
 
 Package: python-keystone
 Architecture: all
@@ -42,15 +46,17 @@
  python-greenlet,
  python-lxml,
  python-migrate,
- python-oslo.config,
+ python-oslo-config,
  python-pam,
  python-passlib,
  python-paste,
  python-pastedeploy,
+ python-prettytable,
  python-routes,
  python-sqlalchemy,
  python-migrate,
- python-keystoneclient ( >= 1:0.2.3 ),
+ python-prettytable,
+ python-keystoneclient ( >= 1:0.2 ),
  python-webob,
  python-iso8601
 Suggests: python-memcache
