## keystone 2013.2~rc4

=== requirements.txt ===
# keystone dependencies
pbr>=0.5.21,<1.0
pam>=0.1.4
WebOb>=1.2.3,<1.3
eventlet>=0.13.0
greenlet>=0.3.2
netaddr
PasteDeploy>=1.5.0
Paste
Routes>=1.12.3
SQLAlchemy>=0.7.8,<=0.7.99
sqlalchemy-migrate>=0.7.2
passlib
lxml>=2.3
iso8601>=0.1.4
python-keystoneclient>=0.3.2
oslo.config>=1.2.0
Babel>=0.9.6
oauth2
dogpile.cache>=0.5.0
